#include <bits/stdc++.h>
using namespace std;
const int MAX = 300000;
bool downwards(int a, int b){
    return a>b;
}
long long n, k, a[MAX], sum[MAX], bestStart;
int main(){
ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
cin>>n>>k;
for(int i=0;i<n;i++){
    cin>>a[i];
    if(i==0){
        sum[i]=a[i];
    }else{
        sum[i]=sum[i-1]+a[i];
    }
}
double ans=0;
for(int j=k;j<=n;j++){
    long long bestSum = sum[j-1];
    for(int i=j;i<=n;i++){
        if(sum[i]-sum[i-j]>bestSum){
            bestSum=sum[i]-sum[i-j];
        }
    }
    if((double)bestSum / j >ans){
        ans=(double)bestSum / j;
    }
}
cout<<setprecision(10)<<ans;
return 0;
}

